from functools import wraps
import services
import sims4.resources
from sims4.tuning.instance_manager import InstanceManager
from sims4.resources import Types

def inject(target_function, new_function):
    @wraps(target_function)
    def _inject(*args, **kwargs):
        return new_function(target_function, *args, **kwargs)
    return _inject

def inject_to(target_object, target_function_name):
    def _inject_to(new_function):
        target_function = getattr(target_object, target_function_name)
        setattr(target_object, target_function_name, inject(target_function, new_function))
        return new_function
    return _inject_to

Lolz117_TheBigFatVirus_ObjectIds_1 = (14845,112485,34680,40340,34682,211714,202931,202932,34684,34679,216358,34678,36369,36370,77507,)
Lolz117_TheBigFatVirus_InteractionIds_1 = (12310097993508705109,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def Lolz117_TheBigFatVirus_AddSuperAffordances_1(original, self):
    original(self)
    if self.TYPE == Types.OBJECT:
        affordance_manager = services.affordance_manager()
        sa_list = []
        for sa_id in Lolz117_TheBigFatVirus_InteractionIds_1:
            key = sims4.resources.get_resource_key(sa_id, Types.INTERACTION)
            sa_tuning = affordance_manager.get(key)
            if not sa_tuning is None:
                sa_list.append(sa_tuning)
        sa_tuple = tuple(sa_list)
        for obj_id in Lolz117_TheBigFatVirus_ObjectIds_1:
            key = sims4.resources.get_resource_key(obj_id, Types.OBJECT)
            obj_tuning = self._tuned_classes.get(key)
            if not obj_tuning is None:
                obj_tuning._super_affordances = obj_tuning._super_affordances + sa_tuple

