from functools import wraps
import sims4.resources
from sims4.tuning.instance_manager import InstanceManager
from sims4.resources import Types
import services

def inject(target_function, new_function):
    @wraps(target_function)
    def _inject(*args, **kwargs):
        return new_function(target_function, *args, **kwargs)
    return _inject

def inject_to(target_object, target_function_name):
    def _inject_to(new_function):
        target_function = getattr(target_object, target_function_name)
        setattr(target_object, target_function_name, inject(target_function, new_function))
        return new_function
    return _inject_to

Lolz117_WeightPowersV1_24508_SnippetId = 24508
Lolz117_WeightPowersV1_24508_MixerId = (9307730176018480467,13924837654761272379,13924837654761272378,13924837654761272381,13924837654761272380,13924837654761272383,13924837654761272382,13924837654761272369,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def Lolz117_WeightPowersV1_AddMixer_24508(original, self):
    original(self)
    if self.TYPE == Types.SNIPPET:
        key = sims4.resources.get_resource_key(Lolz117_WeightPowersV1_24508_SnippetId, Types.SNIPPET)
        snippet_tuning = self._tuned_classes.get(key)
        if snippet_tuning is None:
            return
        for m_id in Lolz117_WeightPowersV1_24508_MixerId:
            affordance_manager = services.affordance_manager()
            key = sims4.resources.get_resource_key(m_id, Types.INTERACTION)
            mixer_tuning = affordance_manager.get(key)
            if mixer_tuning is None:
                return
            if mixer_tuning in snippet_tuning.value:
                return
            snippet_tuning.value = snippet_tuning.value + (mixer_tuning, )
Lolz117_WeightPowersV1_163702_SnippetId = 163702
Lolz117_WeightPowersV1_163702_MixerId = (9307730176018480467,13924837654761272379,13924837654761272378,13924837654761272381,13924837654761272380,13924837654761272383,13924837654761272382,13924837654761272369,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def Lolz117_WeightPowersV1_AddMixer_163702(original, self):
    original(self)
    if self.TYPE == Types.SNIPPET:
        key = sims4.resources.get_resource_key(Lolz117_WeightPowersV1_163702_SnippetId, Types.SNIPPET)
        snippet_tuning = self._tuned_classes.get(key)
        if snippet_tuning is None:
            return
        for m_id in Lolz117_WeightPowersV1_163702_MixerId:
            affordance_manager = services.affordance_manager()
            key = sims4.resources.get_resource_key(m_id, Types.INTERACTION)
            mixer_tuning = affordance_manager.get(key)
            if mixer_tuning is None:
                return
            if mixer_tuning in snippet_tuning.value:
                return
            snippet_tuning.value = snippet_tuning.value + (mixer_tuning, )

